#include <stdio.h>
#include "mpi.h"



void wrt_gplot_Task_Grid(
                          int             my_tid,
                          char           *dirname,
                          char           *sub_dirname,
                          char           *filename,
                          MPI_Comm        RGX_Comm,
                          int             Ndim, 
                          int            *task_Grid_endpts,
                          int            *stride_width, 
                          MPI_Datatype    MD_type, 
                          void           *Grid_data
                        )
{
#  define       line_Max 80

   FILE        *file_gplot;
   char         cmd_str[ line_Max ];
   char         pathname[ line_Max ];
   int          ierr;


   /*  All Tasks creates the sub_directory, ../iter=0xxx/   */

   /*  Exec " mkdir -p dirname_gplot/sub_dirname_gplot  "   */
   sprintf( cmd_str, "mkdir -p " );
   strcat( cmd_str, dirname );
   strcat( cmd_str, "/" );
   strcat( cmd_str, sub_dirname );
   ierr = system( cmd_str );

   ierr = MPI_Barrier( RGX_Comm );

   strcpy( pathname, dirname );
   strcat( pathname, "/" );
   strcat( pathname, sub_dirname );
   strcat( pathname, "/" );
   strcat( pathname, filename );
   file_gplot = fopen( pathname, "w+" );
   wrt_column_Task_Grid( file_gplot, Ndim, task_Grid_endpts,
                         stride_width, MD_type, Grid_data );
   fclose( file_gplot );
}
