      Program test_exe_xterm_gplot

      implicit none

      integer line_Max
      parameter ( line_Max = 80 )

      character*(line_Max) gplot_data_name
      parameter ( gplot_data_name =
     &   "../../../../demo/gplot_data/iter=0050/gp_task=00.txt\0" )
      character*(line_Max) gplot_template_name
      parameter ( gplot_template_name =
     &   "../../../../demo/GNUPLOT_template_2D_mov.cmd\0" )
      character*(line_Max) gplot_cmd_file
      parameter ( gplot_cmd_file =
     &   "../../../../demo/test_exe_gplot.cmd\0" )
      character*(line_Max) title
      parameter ( title = "TEST\0" )
      character*(line_Max) display
      parameter ( display = "localhost\0" )
      integer xterm_geom_coord( 2 )
      data xterm_geom_coord / 100, 100 /
      integer gplot_geom_size( 2 )
      data gplot_geom_size / 600, 450 /
      integer gplot_geom_coord( 2 )
      data gplot_geom_coord / 150, 150 /

      integer ierr

      write(6,*) 'gplot_data_name = ', gplot_data_name
      write(6,*) 'gplot_template_name = ', gplot_template_name
      write(6,*) 'gplot_cmd_file = ', gplot_cmd_file
      write(6,*) 'title = ', title
      write(6,*) 'display = ', display
      write(6,*) 'xterm_geom_coord[] = ', xterm_geom_coord(1),
     &                                    xterm_geom_coord(2)
      write(6,*) 'gplot_geom_size[] = ', gplot_geom_size(1),
     &                                   gplot_geom_size(2)
      write(6,*) 'gplot_geom_coord[] = ', gplot_geom_coord(1),
     &                                    gplot_geom_coord(2)

      call exe_xterm_gplot( gplot_data_name,
     &                      gplot_template_name,
     &                      gplot_cmd_file,
     &                      title, display,
     &                      xterm_geom_coord,
     &                      gplot_geom_size,
     &                      gplot_geom_coord,
     &                      ierr )

      end
